Create API key
POST
/api-keys
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/api-keys"), Content = new StringContent("{ \"address\": \"example\", \"expiresAt\": \"2026-04-15T12:00:00Z\", \"message\": \"example\", \"name\": \"example\", \"signature\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/api-keys"
payload := strings.NewReader("{ \"address\": \"example\", \"expiresAt\": \"2026-04-15T12:00:00Z\", \"message\": \"example\", \"name\": \"example\", \"signature\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"address\": \"example\", \"expiresAt\": \"2026-04-15T12:00:00Z\", \"message\": \"example\", \"name\": \"example\", \"signature\": \"example\" }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/api-keys") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/api-keys', headers: {'Content-Type': 'application/json'}, data: { address: 'example', expiresAt: '2026-04-15T12:00:00Z', message: 'example', name: 'example', signature: 'example' }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/api-keys';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"example","expiresAt":"2026-04-15T12:00:00Z","message":"example","name":"example","signature":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/api-keys";
let payload = json!({ "address": "example", "expiresAt": "2026-04-15T12:00:00Z", "message": "example", "name": "example", "signature": "example" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/api-keys \ --header 'Content-Type: application/json' \ --data '{ "address": "example", "expiresAt": "2026-04-15T12:00:00Z", "message": "example", "name": "example", "signature": "example" }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "address": "example", "expiresAt": "2026-04-15T12:00:00Z", "message": "example", "name": "example", "signature": "example" }' \ --output-document \ - https://api.ethos.network/api/v2/api-keysAuthenticates via SIWE signature and creates an API key for the associated profile.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
address
required
Ethereum address (0x-prefixed, 20 bytes)
string
expiresAt
string format: date-time
message
required
string
name
required
string
signature
required
65-byte ECDSA signature (0x-prefixed hex, 132 chars)
string
Example generated
{ "address": "example", "expiresAt": "2026-04-15T12:00:00Z", "message": "example", "name": "example", "signature": "example"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
expiresAt
required
string format: date-time
id
required
string
name
required
string
token
required
string
Example generated
{ "expiresAt": "2026-04-15T12:00:00Z", "id": "example", "name": "example", "token": "example"}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}